searchData={"items":[{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1","doc":"API client metadata for GoogleApi.BusinessProfilePerformance.V1.","ref":"GoogleApi.BusinessProfilePerformance.V1.html"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.discovery_revision/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations","doc":"API calls for all endpoints tagged `Locations`.","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_fetch_multi_daily_metrics_time_series/4","doc":"Returns the values for each date from a given time range and optionally the sub entity type, where applicable, that are associated with the specific daily metrics. Example request: `GET https://businessprofileperformance.googleapis.com/v1/locations/12345:fetchMultiDailyMetricsTimeSeries?dailyMetrics=WEBSITE_CLICKS&dailyMetrics=CALL_CLICKS&daily_range.start_date.year=2022&daily_range.start_date.month=1&daily_range.start_date.day=1&daily_range.end_date.year=2022&daily_range.end_date.month=3&daily_range.end_date.day=31`","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_fetch_multi_daily_metrics_time_series/4"},{"type":"function","title":"Parameters - GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_fetch_multi_daily_metrics_time_series/4","doc":"*   `connection` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Connection.t`) - Connection to server\n*   `location` (*type:* `String.t`) - Required. The location for which the time series should be fetched. Format: locations/{location_id} where location_id is an unobfuscated listing id.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:dailyMetrics` (*type:* `list(String.t)`) - Required. The metrics to retrieve time series for.\n    *   `:\"dailyRange.endDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"dailyRange.endDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"dailyRange.endDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n    *   `:\"dailyRange.startDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"dailyRange.startDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"dailyRange.startDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_fetch_multi_daily_metrics_time_series/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_fetch_multi_daily_metrics_time_series/4","doc":"*   `{:ok, %GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_fetch_multi_daily_metrics_time_series/4-returns"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_get_daily_metrics_time_series/4","doc":"Returns the values for each date from a given time range that are associated with the specific daily metric. Example request: `GET https://businessprofileperformance.googleapis.com/v1/locations/12345:getDailyMetricsTimeSeries?dailyMetric=WEBSITE_CLICKS&daily_range.start_date.year=2022&daily_range.start_date.month=1&daily_range.start_date.day=1&daily_range.end_date.year=2022&daily_range.end_date.month=3&daily_range.end_date.day=31`","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_get_daily_metrics_time_series/4"},{"type":"function","title":"Parameters - GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_get_daily_metrics_time_series/4","doc":"*   `connection` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The location for which the time series should be fetched. Format: locations/{location_id} where location_id is an unobfuscated listing id.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:dailyMetric` (*type:* `String.t`) - Required. The metric to retrieve time series.\n    *   `:\"dailyRange.endDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"dailyRange.endDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"dailyRange.endDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n    *   `:\"dailyRange.startDate.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"dailyRange.startDate.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"dailyRange.startDate.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n    *   `:\"dailySubEntityType.dayOfWeek\"` (*type:* `String.t`) - Represents the day of the week. Eg: MONDAY. Currently supported DailyMetrics = NONE.\n    *   `:\"dailySubEntityType.timeOfDay.hours\"` (*type:* `integer()`) - Hours of a day in 24 hour format. Must be greater than or equal to 0 and typically must be less than or equal to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n    *   `:\"dailySubEntityType.timeOfDay.minutes\"` (*type:* `integer()`) - Minutes of an hour. Must be greater than or equal to 0 and less than or equal to 59.\n    *   `:\"dailySubEntityType.timeOfDay.nanos\"` (*type:* `integer()`) - Fractions of seconds, in nanoseconds. Must be greater than or equal to 0 and less than or equal to 999,999,999.\n    *   `:\"dailySubEntityType.timeOfDay.seconds\"` (*type:* `integer()`) - Seconds of a minute. Must be greater than or equal to 0 and typically must be less than or equal to 59. An API may allow the value 60 if it allows leap-seconds.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_get_daily_metrics_time_series/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_get_daily_metrics_time_series/4","doc":"*   `{:ok, %GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_get_daily_metrics_time_series/4-returns"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_searchkeywords_impressions_monthly_list/4","doc":"Returns the search keywords used to find a business in search or maps. Each search keyword is accompanied by impressions which are aggregated on a monthly basis. Example request: `GET https://businessprofileperformance.googleapis.com/v1/locations/12345/searchkeywords/impressions/monthly?monthly_range.start_month.year=2022&monthly_range.start_month.month=1&monthly_range.end_month.year=2022&monthly_range.end_month.month=3`","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_searchkeywords_impressions_monthly_list/4"},{"type":"function","title":"Parameters - GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_searchkeywords_impressions_monthly_list/4","doc":"*   `connection` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The location for which the time series should be fetched. Format: locations/{location_id} where location_id is an unobfuscated listing id.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"monthlyRange.endMonth.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"monthlyRange.endMonth.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"monthlyRange.endMonth.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n    *   `:\"monthlyRange.startMonth.day\"` (*type:* `integer()`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n    *   `:\"monthlyRange.startMonth.month\"` (*type:* `integer()`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n    *   `:\"monthlyRange.startMonth.year\"` (*type:* `integer()`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The number of results requested. The default page size is 100. Page size can be set to a maximum of 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token indicating the next paginated result to be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_searchkeywords_impressions_monthly_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BusinessProfilePerformance.V1.Api.Locations.businessprofileperformance_locations_searchkeywords_impressions_monthly_list/4","doc":"*   `{:ok, %GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BusinessProfilePerformance.V1.Api.Locations.html#businessprofileperformance_locations_searchkeywords_impressions_monthly_list/4-returns"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Connection","doc":"Handle Tesla connections for GoogleApi.BusinessProfilePerformance.V1.","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.BusinessProfilePerformance.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.BusinessProfilePerformance.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.BusinessProfilePerformance.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.BusinessProfilePerformance.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.BusinessProfilePerformance.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.BusinessProfilePerformance.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Connection.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries","doc":"Represents a single datapoint, where each datapoint is a DailyMetric-DailySubEntityType-TimeSeries tuple.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries","doc":"*   `dailyMetric` (*type:* `String.t`, *default:* `nil`) - The DailyMetric that the TimeSeries represents.\n*   `dailySubEntityType` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType.t`, *default:* `nil`) - The DailySubEntityType that the TimeSeries represents. Will not be present when breakdown does not exist.\n*   `timeSeries` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.t`, *default:* `nil`) - List of datapoints where each datapoint is a date-value pair.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType","doc":"Represents all possible subentity types that are associated with DailyMetrics.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType","doc":"*   `dayOfWeek` (*type:* `String.t`, *default:* `nil`) - Represents the day of the week. Eg: MONDAY. Currently supported DailyMetrics = NONE.\n*   `timeOfDay` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay.t`, *default:* `nil`) - Represents the time of the day in 24 hour format. Eg: 13:34:20 Currently supported DailyMetrics = NONE.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DailySubEntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.Date","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.Date.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.Date","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.Date.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.Date.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.Date.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.Date.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.Date.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue","doc":"Represents a single datapoint in the timeseries, where each datapoint is a date-value pair.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue","doc":"*   `date` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Model.Date.t`, *default:* `nil`) - The date that the datapoint corresponds to. This represents a month value if the day field is not set.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The value of the datapoint. This will not be present when the value is zero.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse","doc":"Represents the response for FetchMultiDailyMetricsTimeSeries.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse","doc":"*   `multiDailyMetricTimeSeries` (*type:* `list(GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries.t)`, *default:* `nil`) - DailyMetrics and their corresponding time series.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.FetchMultiDailyMetricsTimeSeriesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse","doc":"Represents the response for GetDailyMetricsTimeSeries.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse","doc":"*   `timeSeries` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.t`, *default:* `nil`) - The daily time series.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.GetDailyMetricsTimeSeriesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue","doc":"Represents an insights value.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue","doc":"*   `threshold` (*type:* `String.t`, *default:* `nil`) - Represents the threshold below which the actual value falls.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Represents the actual value.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse","doc":"Represents the response for ListSearchKeywordImpressionsMonthly.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token indicating the last paginated result returned. This can be used by succeeding requests to get the next \"page\" of keywords. It will only be present when there are more results to be returned.\n*   `searchKeywordsCounts` (*type:* `list(GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount.t)`, *default:* `nil`) - Search terms which have been used to find a business.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.ListSearchKeywordImpressionsMonthlyResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries","doc":"Represents a list of tuples of DailyMetric-DailySubEntityType-TimeSeries.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries","doc":"*   `dailyMetricTimeSeries` (*type:* `list(GoogleApi.BusinessProfilePerformance.V1.Model.DailyMetricTimeSeries.t)`, *default:* `nil`) - List of DailyMetric-TimeSeries pairs.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.MultiDailyMetricTimeSeries.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount","doc":"Represents a single search keyword and its value.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount","doc":"*   `insightsValue` (*type:* `GoogleApi.BusinessProfilePerformance.V1.Model.InsightsValue.t`, *default:* `nil`) - One of either: 1) The sum of the number of unique users that used the keyword in a month, aggregated for each month requested. 2) A threshold that indicates that the actual value is below this threshold.\n*   `searchKeyword` (*type:* `String.t`, *default:* `nil`) - The lower-cased string that the user entered.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.SearchKeywordCount.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay","doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay","doc":"*   `hours` (*type:* `integer()`, *default:* `nil`) - Hours of a day in 24 hour format. Must be greater than or equal to 0 and typically must be less than or equal to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n*   `minutes` (*type:* `integer()`, *default:* `nil`) - Minutes of an hour. Must be greater than or equal to 0 and less than or equal to 59.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Fractions of seconds, in nanoseconds. Must be greater than or equal to 0 and less than or equal to 999,999,999.\n*   `seconds` (*type:* `integer()`, *default:* `nil`) - Seconds of a minute. Must be greater than or equal to 0 and typically must be less than or equal to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeOfDay.html#t:t/0"},{"type":"module","title":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries","doc":"Represents a timeseries.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.html"},{"type":"module","title":"Attributes - GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries","doc":"*   `datedValues` (*type:* `list(GoogleApi.BusinessProfilePerformance.V1.Model.DatedValue.t)`, *default:* `nil`) - List of datapoints in the timeseries, where each datapoint is a date-value pair.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.html#module-attributes"},{"type":"function","title":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.html#decode/2"},{"type":"type","title":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.t/0","doc":"","ref":"GoogleApi.BusinessProfilePerformance.V1.Model.TimeSeries.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}